Name:           diveintopython
Version:        5.4
Release:        18%{?dist}

Summary:        Dive into Python - a python book

Group:          Documentation
License:        GFDL
URL:            http://www.diveintopython.org
Source0:        http://www.diveintopython.org/download/%{name}-common-%{version}.zip
Source1:        http://www.diveintopython.org/download/%{name}-xml-%{version}.zip
Source2:        %{name}.desktop.in

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       diveintopython-pdf, xdg-utils
Patch0:         diveintopython-build.xml.patch
Patch1:         diveintopython-build_common.xml.patch
Patch2:         diveintopython-xalan.patch

BuildRequires:  desktop-file-utils, htmldoc, ant, jakarta-commons-net, ant-commons-net, xerces-j2, xml-commons-apis
BuildRequires:  python, w3m, java, xalan-j2, ant-nodeps

%description
Dive Into Python is a Python book for experienced programmers.

%package         pdf
Summary:         Dive into Python - a python book
Group:           Documentation
%description     pdf
Dive Into Python is a Python book for experienced programmers.
The PDF version

%package         html
Summary:         Dive into Python - a python book
Group:           Documentation
%description     html
Dive Into Python is a Python book for experienced programmers.
The html version

%package         single-html
Summary:         Dive into Python - a python book
Group:           Documentation
%description     single-html
Dive Into Python is a Python book for experienced programmers.
The single html page version

%package         txt
Summary:         Dive into Python - a python book
Group:           Documentation
%description     txt
Dive Into Python is a Python book for experienced programmers.
The text version

%prep 
%setup -q -b 1
%patch0 -p1 -b .build-all
%patch1 -p1
%patch2 -p1 -b .xalan
mkdir build
mv xml make.sh build.xml build/

find \( -name '*.jar' -o -name '*.py[co]' \) -delete

%build
pushd build
#/bin/sh make.sh
ant -Dxalan=1
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build/dist
#cleanup unnecessary duplicates
rm -rf pdf/*.png pdf/*.html pdf/images/
rm -rf txt/*.html

#install the files
find . -type d -exec mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/'{}'  \;
for DIR in * ; do
  find $DIR -type f -exec install -D -m 0644 '{}' $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/'{}' \;
done
popd

#install desktop file
mkdir ${RPM_BUILD_ROOT}%{_datadir}/applications/
cat %{SOURCE2}|sed "s|@DOCDIR@|%{_docdir}/%{name}-%{version}/|g" > ${RPM_BUILD_ROOT}%{_datadir}/applications/diveintopython.desktop

desktop-file-install --vendor="fedora"                  \
        --delete-original \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
        --add-category="Documentation"                  \
        ${RPM_BUILD_ROOT}%{_datadir}/applications/diveintopython.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,-)

%files html
%defattr(-,root,root,-)
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/html

%files pdf
%defattr(-,root,root,-)
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/pdf
%{_datadir}/applications/fedora-diveintopython.desktop

%files single-html
%defattr(-,root,root,-)
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/htmlflat

%files txt
%defattr(-,root,root,-)
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/txt


%changelog
* Tue Jul 13 2010 Alexander Kurtakov <akurtako@redhat.com> 5.4-18
- Fix xalan patch.

* Wed Nov 25 2009 Lubomir Rintel <lkundrak@v3.sk> - 5.4-17
- Newer saxon no longer supports XSLT 1.0, use Xalan-J instead

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.4-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.4-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Nov  4 2008 Paul W. Frields <stickster@gmail.com> - 5.4-14
- Fix file location problem that breaks HTML version

* Tue Sep  2 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 5.4-13
- Include /usr/share/doc/diveintopython-5.4 directory (in all pkgs)

* Tue Feb 5 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 5.4-12
- Removed specific java package's and just use java in BR (overholt)
- Added build_patch to not use downloaded jars and....
- use Fedora packages listed in build requires see next changelog entry (bz#431364)
- Added build requires ant, jakarta-commons-net, ant-commons-net and... 
- xerces-j2, xml-commons-apis, java
- Removed upstream jars but maintained build-xml files just patched
- Fixed changelog

* Sat Feb 2 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 5.4-11
- Added xdg-utils Requires to open pdf and other files

* Wed Jan 23 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> - 5.4-10
- Major cleanup of spec to be less complex
- Made the packaging less diverted from the generated tree from upstream build script
- Changed desktop file to use pdf mimetype icon as diveintopython.png is corrupted
  even in upstream zip file
- Removed unnecessary patches
- Removed builreq ant as upstream make.sh uses upstream provided jars (we might want to
  use ant from fedora repo, todo: investigate possibility of patching make.sh and adding
  more java buildreqs for this)
- Switched diveintopython to be a metapackage which pulls diveintopython-pdf

* Sat Jan 19 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 5.4-8
- Removed multiple desktop-files
- Made the default version the pdf version
- Added build requires check so it can build on F7

* Sat Jan 19 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 5.4-7
- Fixed spec file to install the txt version in the txt folder (bug #429239)
- Added diveintopython.png to desktop file in txt version
- Fixed desktop files to relate to each individual package more. (bug #429239)

* Wed Jan 9 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 5.4-6
- Fix ownership of folders
- Fix spec file for spaces and tabs again :(

* Sun Jan 6 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 5.4-5
- Fixed build requires - added iced-tea, python, w3m and htmldoc

* Fri Jan 4 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 5.4-4
- Added patches for all builds
- Created additional packages for the users choice
- Added additional desktop files

* Wed Jan 2 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 5.4-3
- Using the docbook and creating the html using ant
- Patched neccessary build files and included additional source files

* Thu Nov 22 2007 Marc Wiriadisastra <marc@mwiriadi.id.au> - 5.4-2
- Fixed line encoding (Jerry James)
- Fixed owning of directories in spec file

* Fri Nov 16 2007 Marc Wiriadisastra <marc@mwiriadi.id.au> - 5.4-1
- new install
